# TikTok Grabber

[![Build Status](https://drone.f-brinker.de/api/badges/fbrinker/docker-tiktok-grabber/status.svg)](https://drone.f-brinker.de/fbrinker/docker-tiktok-grabber)
[![Docker Pulls](https://badgen.net/docker/pulls/fbrinker/tiktok-grabber?icon=docker&label=pulls)](https://hub.docker.com/r/fbrinker/tiktok-grabber)

This is a very basic Docker container to get JSON responses from TikTok "API" calls.
I am using the tool [TikTok Signature](https://github.com/carcabot/tiktok-signature) inside the container.

### Contribute

You can open any new issues [here](https://git.f-brinker.de/fbrinker/docker-tiktok-grabber/issues). Have a look at the [Dockerfile](https://git.f-brinker.de/fbrinker/docker-tiktok-grabber).

## Usage

### Basic Usage
Just add the TikTok API url (without the `&_signature=...` parameter) as a param and you will get the JSON response:

```bash
docker run --rm fbrinker/tiktok-grabber "https://m.tiktok.com/share/item/list?secUid=&id=&type=5&count=30&minCursor=0&maxCursor=0&shareUid="
```

### Usage with a Webhook
You can add a webhook as second parameter.
The grabber will send the JSON result to that url as `data` attribute in a POST request:

```bash
docker run --rm fbrinker/tiktok-grabber "https://m.tiktok.com/share/item/list?secUid=&id=&type=5&count=30&minCursor=0&maxCursor=0&shareUid=" "http://example.com/webhook.php"
```